import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const TagGroup = /*@__PURE__*/ proxyCustomElement(class TagGroup extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        return (h(Host, { key: '0ab0e65bef811da56fe8acea596100fa62a0167a', class: "bal-tag-group" }, h("slot", { key: '405f949e333e3e0995a1ec4eb4160b8513d20785' })));
    }
}, [260, "bal-tag-group"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-tag-group"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-tag-group":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TagGroup);
            }
            break;
    } });
}

const BalTagGroup = TagGroup;
const defineCustomElement = defineCustomElement$1;

export { BalTagGroup, defineCustomElement };
